<?php  
	include "conexion.php";
    include "insertar_log.php";
	$id_aplicacion = $_GET['id_aplicacion'];

    $id_transaccion=0;
    $tipo=0;
   

	$sql = "select ";
    $sql .= "id_transaccion ";
    $sql .= "from ";
    $sql .= "transacciones_remotas ";
    $sql .= "where ";
    $sql .= "envio_android=".$id_aplicacion." ";
    $sql .= "order by id_transaccion limit 1 ";

    $resultado = $conexion->query($sql);

    if(!$resultado) 
    {
        $datos = " Error al obtener id_transaccion "; 
        insertarLog($datos,$id_aplicacion);
        echo response(2,"Error al consultar","");
        return;
    }
    
    while ($row=$resultado->fetch_assoc())
    {
        $id_transaccion = $row['id_transaccion'];
       
    }

    $resultado->free();

  
    if($id_transaccion!=0)
    {
        $sql = "update ";
        $sql .= "transacciones_remotas ";
        $sql .= "set ";
        $sql .= "envio_android=0 ";
        $sql .= "where ";
        $sql .= "id_transaccion=".$id_transaccion;

        $resultado = $conexion->query($sql); 

        if($resultado == false)
        {
             $datos = " Error al marcar transaccion= ".$id_transaccion; 
            insertarLog($datos,$id_aplicacion);

            echo response(1,"Error al marcar transaccion","");
            return;
        }

         $datos = " Se marco transaccion= ".$id_transaccion; 
            insertarLog($datos,$id_aplicacion);

        $transaccion["tipo"]=2;
        $transaccion["id_transaccion"] =$id_transaccion;

        response(0,"OK",json_encode($transaccion));

        return;

    }



    $sql = "select ";
    $sql .= "id_transaccion ";
    $sql .= "from ";
    $sql .= "transacciones ";
    $sql .= "where ";
    $sql .= "envio_android=".$id_aplicacion." ";
    $sql .= "order by id_transaccion limit 1 ";

    $resultado = $conexion->query($sql);

    if(!$resultado) 
    {
        $datos = " Error al obtener id_transaccion "; 
            insertarLog($datos,$id_aplicacion);
        echo response(2,"Error al consultar","");
        return;
    }
    
    while ($row=$resultado->fetch_assoc())
    {
        $id_transaccion = $row['id_transaccion'];
       
    }

    $resultado->free();

 
    if($id_transaccion!=0)
    {
       
        $sql = "update ";
        $sql .= "transacciones ";
        $sql .= "set ";
        $sql .= "envio_android=0 ";
        $sql .= "where ";
        $sql .= "id_transaccion=".$id_transaccion;

        $resultado = $conexion->query($sql); 

        if($resultado == false)
        {
            $datos = " Error al marcar transaccion= ".$id_transaccion; 
            insertarLog($datos,$id_aplicacion);
            echo response(1,"Error al marcar transaccion","");
            return;
        }

        $datos = " Se marco transaccion= ".$id_transaccion; 
            insertarLog($datos,$id_aplicacion);

        $transaccion["tipo"]=1;
        $transaccion["id_transaccion"] =$id_transaccion;

        response(0,"OK",json_encode($transaccion));

        return;

    }

	echo response(1,"No existe","");
    return;

    

    


    function response($estatus,$estatus_mensaje,$respuesta){
		header("HTTP/1.1".$estatus);

		$response["estatus"]=$estatus;
		$response["estatus_mensaje"]=$estatus_mensaje;
		$response["respuesta"]=$respuesta;
		
		$json_response = json_encode($response, JSON_UNESCAPED_UNICODE);

		echo $json_response;

	}


?>